#!/bin/bash
PRODUCTNAME="radmin"
TMPDIR="/tmp/radmin"
INSTALLDIR="/usr/local"
IPCDIR="/etc/ipconnect"

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"

echo "-- Removing $PRODUCTNAME"

rm -rf "$INSTALLDIR/$PRODUCTNAME" >/dev/null 2>/dev/null
rm -rf "$IPCDIR/$PRODUCTNAME.ver" >/dev/null 2>/dev/null

rm -rf /etc/cron.d/radmin* >/dev/null 2>/dev/null
userdel -r raccess >/dev/null 2>/dev/null


key=`cat /etc/ombutel/ombutel-maint.conf`
token=`curl -s -F key=$key http://localhost/api/authenticate | jq -r .data.token`
menuid=`curl -s -F token=$token http://localhost/api/menus | jq -e '.data[]|select(.label == "Radmin")' | jq -r .menu_id`
if [ "$menuid" != "" ]
then
  success=`curl -s -F token=$token -F menu_id=$menuid http://localhost/api/destroy_menu | jq -r .status`
  if [ "$success" != "success" ]
  then
    echo "Failed to remove menu";
  fi 
fi



rm -rf "$TMPDIR"
exit
